## org.eclipse.m2m.qvt.oml.ecore.ImperativeOCL.impl
Class ListTypeImpl

    java.lang.Object
      CollectionTypeImpl
          org.eclipse.m2m.qvt.oml.ecore.ImperativeOCL.impl.ListTypeImpl

All Implemented Interfaces:
  ListType

    public class ListTypeImpl

extends CollectionTypeImpl
implements ListType

An implementation of the model object 'List Type'.

Constructor Summary
`protected` `ListTypeImpl()`

Method Summary
`boolean` `checkCollectionTypeName(DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` Overwriting of the method checkCollectionTypeName
`protected EClass` `eStaticClass()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ListTypeImpl

    protected ListTypeImpl()

Method Detail

### eStaticClass

    protected EClass eStaticClass()

### checkCollectionTypeName

    public boolean checkCollectionTypeName(DiagnosticChain diagnostics,
                                           java.util.Map<java.lang.Object,java.lang.Object> context)

  Overwriting of the method checkCollectionTypeName

Copyright 2008 Borland Software Corporation and others. All Rights Reserved.